Voice Chat Interaction
This endpoint allows our pre-diagnostic AI to interact with your existing voice chat. We will pick up in mid conversation to ask all the right questions to help pre-diagnose the vehicle.
Endpoint
Section titled “Endpoint”https://api.example.com/customer/voice-prediag/Request Details
Section titled “Request Details”HTTP Method
Section titled “HTTP Method”POSTRequest Format
Section titled “Request Format”application/jsonRequest Body
Section titled “Request Body”| Parameter | Type | Required | Description |
|---|---|---|---|
| status | String | True | Specifies the type of request. For initiation, it would be "start" |
| appt_uuid | String | True | The unique identifier for the appointment/conversation. |
| dealer_uuid | String | True | Unique identifier for dealer. |
| customer_name | String | True | The name of the customer. |
| transcript | String | (Conditional) Only on Initial Call | The full transcript of the conversation held by the previous AI up to the point of handoff. |
| message | String | (Conditional) Only for subsequent request | The latest message content from the customer. |
| vehicle_id | String | True | Vehicle Identification Number |
Status Options
Section titled “Status Options”- start (Initialize conversation)
- message (AI looking for a response)
Making an Initial Chat Request
Section titled “Making an Initial Chat Request”curl -X POST \ https://api.example.com/customer/voice-prediag/ \ -H "Content-Type: application/json" \ -H "X-API-KEY: API_KEY" \ -d '{ "appt_uuid": "000111", "dealer_uuid": "1234321", "customer_name": "John Customer", "vehicle_id": "AS76D87ASD8A", "message": "My car is making a strange rattling noise when I accelerate." }'{ "response":"Is the rattling noise coming from a specific area."}Error Response
Section titled “Error Response”[ { "status": "error", "question": "Error: Invalid appt_uuid provided." }]